import PropTypes from 'prop-types';
import PrimitiveInjector from '@s-ui/react-primitive-injector';
import { BASE_CLASS } from './config.js';
import RenderActionsDefault from './RenderActionsDefault.js';
import { jsx as _jsx } from "react/jsx-runtime";
var RenderActions = function RenderActions(_ref) {
  var onCustomAction = _ref.onCustomAction,
    customButtonText = _ref.customButtonText,
    customButtonOptions = _ref.customButtonOptions,
    cancelButtonText = _ref.cancelButtonText,
    onCancel = _ref.onCancel,
    cancelButtonOptions = _ref.cancelButtonOptions,
    onAccept = _ref.onAccept,
    acceptButtonOptions = _ref.acceptButtonOptions,
    acceptButtonText = _ref.acceptButtonText,
    _ref$children = _ref.children,
    children = _ref$children === void 0 ? /*#__PURE__*/_jsx(RenderActionsDefault, {}) : _ref$children;
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-popoverActionBar",
    children: /*#__PURE__*/_jsx(PrimitiveInjector, {
      onCustomAction: onCustomAction,
      customButtonText: customButtonText,
      customButtonOptions: customButtonOptions,
      cancelButtonText: cancelButtonText,
      onCancel: onCancel,
      cancelButtonOptions: cancelButtonOptions,
      onAccept: onAccept,
      acceptButtonOptions: acceptButtonOptions,
      acceptButtonText: acceptButtonText,
      children: children
    })
  });
};
export default RenderActions;