import _extends from "@babel/runtime/helpers/esm/extends";
import Button, { atomButtonDesigns } from '@s-ui/react-atom-button';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var RenderActionsDefault = function RenderActionsDefault(_ref) {
  var onCustomAction = _ref.onCustomAction,
    customButtonText = _ref.customButtonText,
    customButtonOptions = _ref.customButtonOptions,
    cancelButtonText = _ref.cancelButtonText,
    onCancel = _ref.onCancel,
    cancelButtonOptions = _ref.cancelButtonOptions,
    onAccept = _ref.onAccept,
    acceptButtonOptions = _ref.acceptButtonOptions,
    acceptButtonText = _ref.acceptButtonText;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [customButtonText ? /*#__PURE__*/_jsx(Button, _extends({
      onClick: onCustomAction
    }, customButtonOptions, {
      children: customButtonText
    })) : null, cancelButtonText ? /*#__PURE__*/_jsx(Button, _extends({
      onClick: onCancel,
      design: atomButtonDesigns.FLAT
    }, cancelButtonOptions, {
      children: cancelButtonText
    })) : null, acceptButtonText ? /*#__PURE__*/_jsx(Button, _extends({
      onClick: onAccept
    }, acceptButtonOptions, {
      children: acceptButtonText
    })) : null]
  });
};
export default RenderActionsDefault;